Bug 28598 - Changing date or time format on a production server will NOT create duplicate fines and we should remove the syspref warnings
Summary: Changing date or time format on a production server will NOT create duplicate...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on: 13104
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-18 13:11 UTC by Andrew Fuerste-Henry
Modified: 2021-08-12 22:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.09


Attachments
Bug 28598: Update DateFormat and TimeFormat descriptions to remove warnings (1.59 KB, patch)
2021-06-18 13:17 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28598: Update DateFormat and TimeFormat descriptions to remove warnings (1.64 KB, patch)
2021-06-18 20:45 UTC, David Nind
Details | Diff | Splinter Review
Bug 28598: Update DateFormat and TimeFormat descriptions to remove warnings (1.71 KB, patch)
2021-06-21 12:32 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-06-18 13:11:15 UTC
Both DateFormat and TimeFormat say they will create duplicate fines if changed on a production system. But we explicitly fixed that in bug 13104. We should remove those warnings.
Comment 1 Andrew Fuerste-Henry 2021-06-18 13:17:45 UTC
Created attachment 122135 [details] [review]
Bug 28598: Update DateFormat and TimeFormat descriptions to remove warnings

To test, confirm that the warnings are present without the patch and gone with it.
Comment 2 David Nind 2021-06-18 20:45:51 UTC
Created attachment 122183 [details] [review]
Bug 28598: Update DateFormat and TimeFormat descriptions to remove warnings

To test, confirm that the warnings are present without the patch and gone with it.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Kyle M Hall 2021-06-21 12:32:24 UTC
Created attachment 122227 [details] [review]
Bug 28598: Update DateFormat and TimeFormat descriptions to remove warnings

To test, confirm that the warnings are present without the patch and gone with it.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-06-22 10:15:13 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-09 12:27:17 UTC
Pushed to 21.05.x for 21.05.02
Comment 6 Fridolin Somers 2021-08-02 20:13:35 UTC
Pushed to 20.11.x for 20.11.09
Comment 7 Victor Grousset/tuxayo 2021-08-12 22:04:03 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.